package anything

import (
	"fmt"
)

type AnyThing interface {
	Textual() string
	Numeric(name string) int
}

func OneCallee(thing AnyThing) {
	fmt.Printf("textual result is %s and numeric result is %d\n", thing.Textual(), thing.Numeric("default"))
}

func ListCallee(things []AnyThing) {
	fmt.Printf("textual result is %s and numeric result is %d\n", things[0].Textual(), things[0].Numeric("default"))
}
